Package writer2latex.latex

# Class InlineConverter

java.lang.Object
writer2latex.latex.InlineConverter

public class InlineConverter extends Object

This class handles basic inline text.

## Constructor Summary

Constructors
Constructor
Description
`InlineConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`handleTextSpan(Element node, LaTeXDocumentPortion ldp, Context oc)`
Handle a text:span element
`void`
`traverseInlineMath(Element node, LaTeXDocumentPortion ldp, Context oc)`
`void`
`traverseInlineText(Element node, LaTeXDocumentPortion ldp, Context oc)`
`void`
`traversePCDATA(Element node, LaTeXDocumentPortion ldp, Context oc)`
`void`
`traversePlainInlineText(Element node, LaTeXDocumentPortion ldp, Context oc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InlineConverter

public InlineConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### handleTextSpan

public void handleTextSpan(Element node, LaTeXDocumentPortion ldp, Context oc)
Handle a text:span element

### traverseInlineText

public void traverseInlineText(Element node, LaTeXDocumentPortion ldp, Context oc)

### traversePlainInlineText

public void traversePlainInlineText(Element node, LaTeXDocumentPortion ldp, Context oc)

### traverseInlineMath

public void traverseInlineMath(Element node, LaTeXDocumentPortion ldp, Context oc)

### traversePCDATA

public void traversePCDATA(Element node, LaTeXDocumentPortion ldp, Context oc)